package com.game.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;

import com.game.business.domain.AppGameClassify;
import com.game.business.mapper.AppGameClassifyMapper;
import com.game.business.service.IAppGameClassifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author game
 * @date 2024-06-14
 */
@Service
public class AppGameClassifyServiceImpl extends ServiceImpl<AppGameClassifyMapper, AppGameClassify> implements IAppGameClassifyService {
    @Autowired
    private AppGameClassifyMapper appGameClassifyMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppGameClassify selectAppGameClassifyById(Long id) {
        return appGameClassifyMapper.selectAppGameClassifyById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appGameClassify 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppGameClassify> selectAppGameClassifyList(AppGameClassify appGameClassify) {
        return appGameClassifyMapper.selectAppGameClassifyList(appGameClassify);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appGameClassify 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppGameClassify(AppGameClassify appGameClassify) {
            return appGameClassifyMapper.insertAppGameClassify(appGameClassify);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appGameClassify 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppGameClassify(AppGameClassify appGameClassify) {
        return appGameClassifyMapper.updateAppGameClassify(appGameClassify);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppGameClassifyByIds(Long[] ids) {
        return appGameClassifyMapper.deleteAppGameClassifyByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppGameClassifyById(Long id) {
        return appGameClassifyMapper.deleteAppGameClassifyById(id);
    }
}